### Function

# EDataServer WebDAVPropertyChange new_set

since: 3.26

#### Declaration [src]

    EWebDAVPropertyChange*
    e_webdav_property_change_new_set (
      const gchar* ns_uri,
      const gchar* name,
      const gchar* value
    )

#### Description [src]

Creates a new `EWebDAVPropertyChange` of kind `E_WEBDAV_PROPERTY_SET`, which is used to modify or set the property value. The `value` is a string representation of the value to store. It can be `NULL`, but it means an empty value, not to remove it. To remove property use `e_webdav_property_change_new_remove()` instead.

Available since: 3.26

#### Parameters

`ns_uri`

  Type: `const gchar*`

  Namespace URI of the property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  Name of the property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  Value of the property, or `NULL` for empty value.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EWebDAVPropertyChange`

A new `EWebDAVPropertyChange`. Free it with e_webdav_property_change_free(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.